#include <stdio.h>
#include <string.h>
#include <ctype.h>

const char * getToken()
{
  static char buf[10240];
  
  int index;
  char tc;

  index=0;
  
  for (;;)
    {
      tc=fgetc(stdin);
      if (tc=='\n')
	break;
      if (tc=='=')
	break;
      if (!isspace(tc))
	{
	  buf[index]=tc;
	  index++;
	}
    }

  buf[index]=0;
  return buf;
}

class Value
{
public:
  Value(const char * _value);
  
  void add(const char * _value);

  char * value;
  Value * next;
};

Value::Value(const char * _value)
{
  value=new char[strlen(_value)+1];
  strcpy(value,_value);
  next=NULL;
}

void Value::add(const char * _value)
{
  if (strcmp(value,_value)==0)
    return;
  
  if (next==NULL)
    next=new Value(_value);
  else
    next->add(_value);
}

class Property
{
public:
  Property(const char * _name);
  
  void add(const char * _name, const char * value);

  char * name;
  Value * values;
  Value * current;
  Property * next;
  Property * prev;
};

Property::Property(const char * _name)
{
  name=new char[strlen(_name)+1];
  strcpy(name,_name);
  next=NULL;
  current=NULL;
  values=NULL;
  prev=NULL;
}

void Property::add(const char * _name, const char * value)
{
  if (strcmp(name,_name)==0)
    {
      if (values==NULL)
	{
	  values=new Value(value);
	  current=values;
	}
      else
	values->add(value);
      return;
    }

  if (next==NULL)
    {
      next=new Property(_name);
      next->prev=this;
    }

  next->add(_name,value);
}

int main()
{
  char property[10240];
  char value[10240];

  Property * list=NULL;
  
  for (;;)
    {
      strcpy(property,getToken());
      if (strcmp(property,"END")==0)
	break;
      strcpy(value,getToken());
      if (list==NULL)
	list=new Property(property);
      list->add(property,value);
    }

  Property * p=list;
  while (p!=NULL)
    {
      printf("%s",p->name);
      p=p->next;
      if (p!=NULL)
	printf(",");
    }
  printf("\n");

  for (;;)
    {
      p=list;
      for (;;)
	{
	  printf("%s",p->current->value);
	  if (p->next!=NULL)
	    {
	      printf(",");
	      p=p->next;
	    }
	  else
	    break;
	}
      printf("\n");
      while ( (p!=NULL) && (p->current->next==NULL) )
	{
	  p->current=p->values;
	  p=p->prev;
	}
      if (p==NULL)
	break;
      p->current=p->current->next;
    }
  
  return 0;
}
